GXml.DomNode – GXml-0.20 Reference Manual

# DomNode

## Object Hierarchy:

## Description:

public interface DomNode : Object, DomEventTarget

Base interface for all DOM4 implementations

All known implementing classes:

- Node

- XNode

All known sub-interfaces:

- DomCharacterData
- DomDocument

- DomDocumentFragment
- DomDocumentType

- DomElement
- Object

Namespace: GXml
Package: GXml-0.20

## Content:

### Enums:

- DocumentPosition
- NodeType

### Properties:

- public abstract string? base_uri { get; }
- public abstract DomNodeList child_nodes { owned get; }
- public abstract DomNode? first_child { owned get; }
- public abstract DomNode? last_child { owned get; }
- public abstract DomNode? next_sibling { owned get; }
- public abstract string node_name { owned get; }
- public abstract NodeType node_type { get; }
- public abstract string? node_value { owned get; set; }
- public abstract DomDocument? owner_document { get; set construct; }
- public abstract DomElement? parent_element { owned get; }
- public abstract DomNode? parent_node { owned get; }
- public abstract DomNode? previous_sibling { owned get; }
- public abstract string? text_content { owned get; set; }

### Static methods:

- public static bool copy (DomDocument doc, DomNode node, DomNode source, bool deep) throws Error
  Copy a GXml.DomNode relaying on GXml.DomDocument to other GXml.DomNode.

### Methods:

- public abstract DomNode append_child (DomNode node) throws Error
- public abstract DocumentPosition compare_document_position (DomNode other)
- public abstract bool contains (DomNode? other)
- public abstract bool has_child_nodes ()
- public abstract DomNode insert_before (DomNode node, DomNode? child) throws Error
- public abstract bool is_default_namespace (string? nspace)
- public abstract bool is_equal_node (DomNode? node)
- public abstract string? lookup_namespace_uri (string? prefix)
- public abstract string? lookup_prefix (string? nspace)
- public abstract void normalize ()
- public abstract DomNode remove_child (DomNode child) throws Error
- public abstract DomNode replace_child (DomNode node, DomNode child) throws Error

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomEventTarget

- add_event_listener

- dispatch_event

- remove_event_listener